Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class AbstractCommunityCallback

    java.lang.Object
      com.bea.netuix.application.communities.AbstractCommunityCallback

All Implemented Interfaces
  CommunityCallback, Serializable

    public abstract class AbstractCommunityCallback

extends Object
implements CommunityCallback

AbstractCommunityCallback - default implementation of the `CommunityCallback` interface that no-ops all methods.

For more information see the discussion of community callbacks or the overview of community functionality.

See Also
  Serialized Form

Constructor Summary
`AbstractCommunityCallback()`

Method Summary
`void` | `onActivate(CommunityDefinition communityDefinition)` Method for callback to be made `AFTER` a community has been activated.
`void` | `onCreate(CommunityDefinition communityDefinition)` Method for callback to be made `AFTER` creation of a commuinty.
`void` | `onDeactivate(CommunityDefinition communityDefinition)` Method for callback to be made `BEFORE` a community is deactivated.
`void` | `onDelete(CommunityDefinition communityDefinition)` Method for callback to be made `BEFORE` a community is deleted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCommunityCallback

    public AbstractCommunityCallback()

Method Detail

### onActivate

    public void onActivate(CommunityDefinition communityDefinition)

  Method for callback to be made `AFTER` a community has been activated.

  Specified by:
    `onActivate` in interface `CommunityCallback`
  Parameters
    `communityDefinition` - activated community definition

### onCreate

    public void onCreate(CommunityDefinition communityDefinition)

  Method for callback to be made `AFTER` creation of a commuinty.

  Specified by:
    `onCreate` in interface `CommunityCallback`
  Parameters
    `communityDefinition` - newly created community definition

### onDeactivate

    public void onDeactivate(CommunityDefinition communityDefinition)

  Method for callback to be made `BEFORE` a community is deactivated.

  Specified by:
    `onDeactivate` in interface `CommunityCallback`
  Parameters
    `communityDefinition` - community definition for community to be deactivated

### onDelete

    public void onDelete(CommunityDefinition communityDefinition)

  Method for callback to be made `BEFORE` a community is deleted.

  Specified by:
    `onDelete` in interface `CommunityCallback`
  Parameters
    `communityDefinition` - community definition for community to be deleted

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.